View Issue Details

IDProjectCategoryView StatusLast Update
0022864mantisbtcode cleanuppublic2017-06-04 14:58
ReportercproensaAssigned Tocproensa 
PrioritynormalSeveritytextReproducibilityhave not tried
Status closedResolutionfixed 
Product Version2.4.2 
Target Version2.5.0Fixed in Version2.5.0 
Summary0022864: phpdoc for 'print_link_button' has incorrect order of parameters
Description

Currently:

/**
 * print a HTML link with a button look
 * <span class="mention"><a class="user" href="http://www.mantisbt.org/bugs/view_user_page.php?id=31304">@param</a></span> string  $p_link       The page URL.
 * <span class="mention"><a class="user" href="http://www.mantisbt.org/bugs/view_user_page.php?id=31304">@param</a></span> string  $p_url_text   The displayed text for the link.
 * <span class="mention"><a class="user" href="http://www.mantisbt.org/bugs/view_user_page.php?id=31304">@param</a></span> boolean $p_new_window Whether to open in a new window.
 * <span class="mention"><a class="user" href="http://www.mantisbt.org/bugs/view_user_page.php?id=31304">@param</a></span> string  $p_class      The CSS class of the link.
 * @return void
 */
function print_link_button( $p_link, $p_url_text, $p_class = '', $p_new_window = false )
TagsNo tags attached.

Activities

cproensa

cproensa

2017-05-12 14:44

developer   ~0056842

PR https://github.com/mantisbt/mantisbt/pull/1106

dregad

dregad

2017-05-13 08:37

developer   ~0056844

Creating an issue for a simple PHPDoc fix was probably overdoing it ;-)

Related Changesets

MantisBT: master 0316eb9b

2017-05-13 08:38:51

cproensa


Committer: dregad Details Diff
Fix PHPDoc for print_link_button()

Fix order of parameters

Fixes 0022864
mod - core/print_api.php Diff File

Issue History

Date Modified Username Field Change
2017-05-12 14:42 cproensa New Issue
2017-05-12 14:44 cproensa Assigned To => cproensa
2017-05-12 14:44 cproensa Status new => assigned
2017-05-12 14:44 cproensa Note Added: 0056842
2017-05-13 08:37 dregad Description Updated View Revisions
2017-05-13 08:37 dregad Note Added: 0056844
2017-05-13 08:38 dregad Severity minor => text
2017-05-13 08:38 dregad Changeset attached => MantisBT master 0316eb9b
2017-05-13 08:38 cproensa Status assigned => resolved
2017-05-13 08:38 cproensa Resolution open => fixed
2017-05-13 08:38 cproensa Fixed in Version => 2.5.0
2017-05-21 03:36 atrol Product Version 2.5.0 => 2.4.2
2017-05-21 03:36 atrol Target Version => 2.5.0
2017-06-04 14:58 vboctor Status resolved => closed